use strict;
use warnings;
use Module::Build;
use version; our $VERSION = qv('3.4.1.5');

my $builder = Module::Build->new(
    module_name   => 'CipUX::Trait::DebianEdu',
    license       => 'gpl2',
    dist_author   => 'Christian Kuelker <christian.kuelker@cipworx.org>',
    dist_version  => "$VERSION",
    dist_abstract => 'Debian-Edu Configuration',

    #    create_makefile_pl => 'traditional',
    #    create_readme      => 1,
    verbose     => 1,
    installdirs => 'vendor',

    meta_merge => { resources => { homepage => q(http://www.cipux.org), }, },

    recommends => {

        #'Test::Perl::Critic'  => 0,
    },

    build_requires => {
        'Module::Build' => 0,
        'Test::More'    => 0,

        #'Test::Pod'            => '1.14',
        #'Test::Pod::Coverage'  => '1.04',
    },

    requires => {
        'CipUX'        => '3.4.0.7',
        'CipUX::Trait' => '3.4.0.7',

        #'CipUX::Trait::Samba' => '3.4.0.0',
        'CipUX::Task'    => '3.4.0.6',
        'CipUX::Object'  => '3.4.0.5',
        'CipUX::Storage' => '3.4.0.2',
        'version'        => 0,
    },
    ini_files => {
        'usr/share/cipux/etc/cipux-access.d/50-cipux-access-debian-edu.ini' =>
            'myetc/cipux-access.d/50-cipux-access-debian-edu.ini',
        'usr/share/cipux/etc/cipux-rpc.d/cipux-rpc.ini' =>
            'myetc/cipux-rpc.d/cipux-rpc.ini',
    },
    perl_files => {
        'usr/share/cipux/etc/cipux-object.d/50-cipux-object-debian-edu.perl'
            => 'myetc/cipux-object.d/50-cipux-object-debian-edu.perl',
        'usr/share/cipux/etc/cipux-storage.d/50-cipux-storage-debian-edu.perl'
            => 'myetc/cipux-storage.d/50-cipux-storage-debian-edu.perl',
        'usr/share/cipux/etc/cipux-task.d/50-cipux-task-debian-edu.perl'
            => 'myetc/cipux-task.d/50-cipux-task-debian-edu.perl',
    },
    install_path => { 'myetc' => '/usr/share/cipux/etc' },

    add_to_cleanup => ['CipUX-Trait-DebianEdu-*'],
);

# BUILD target
#$builder->do_create_readme();
#$builder->do_create_makefile_pl();
$builder->add_build_element('ini');
$builder->add_build_element('perl');
$builder->create_build_script();
